#!/bin/bash
set -eu
AUTOVNET_INSTALL_BRANCH="${1:-main}"

URL="https://gitlab.com/autovtools/autovrtfm/autovnet/-/tree/${AUTOVNET_INSTALL_BRANCH}"
BOOTSTRAP="${URL}/ansible/bootstrap.sh"
# Fail if 404 (bad branch)
if ! curl -s -f "${URL}" >/dev/null; then
    echo "Failed to get ${URL} ! Does branch ${AUTOVNET_INSTALL_BRANCH} exist?"
fi

echo "[+] Switching to ${AUTOVNET_INSTALL_BRANCH}"

export AUTOVNET_INSTALL_BRANCH
.autovnet-update
